#include "xanimdynamicindices.h"

XAnimDynamicIndices::XAnimDynamicIndices()
    : XAsset()
    , mIndices(1)
{
}

XAnimDynamicIndices::~XAnimDynamicIndices()
{

}

void XAnimDynamicIndices::ParseData(QDataStream *aStream) {
    if (GetPtr() == -1) {
        *aStream >> mIndices[0];
    }
}

void XAnimDynamicIndices::Clear()
{
    mIndices.clear();
}

QVector<quint8> XAnimDynamicIndices::GetIndices() const {
    return mIndices;
}

void XAnimDynamicIndices::SetIndices(QVector<quint8> aIndices) {
    mIndices = aIndices;
}
